Redmine - Defect #11888

No e-mail notification for non-members who are watchers
2012-09-20 01:12 - Abdul Halim Mat Ali

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description

| have to create an issue list here as nobody is answering my query in the forum, the wiki is not clear enough about watchers and |
need to know what is happening urgently.

How does the non-member watchers receive the e-mail notification?

This watchers are added by the issue creator and their e-mail notification setting is "issues you're involved in (author or assignee)
and about things you watch".

Related issues:

Related to Redmine - Feature #8488: Create an 'Involve' mechanism to private ... New
Related to Redmine - Patch #33329: Improve watchers functionality to mark the... Closed
Has duplicate Redmine - Defect #12116: Watchers added as a non-member doesn't... Closed
History

#1 - 2012-09-20 05:47 - Abdul Halim Mat Ali

Can somebody point how do | debug this issue?
| am currently looking at the code but have no idea where to start looking at the code that is causing the issue.

#2 - 2012-09-22 11:51 - Jean-Philippe Lang

- Priority changed from Urgent to Normal

If watchers are not allowed to view the issue (eg. issue from a private project), they won't be notified.

#3 - 2012-09-22 17:12 - Abdul Halim Mat Ali

- Status changed from New to Resolved

Jean-Philippe, there is a patch at #8488#change-41085 that resolved this.

It also resolved watchers not able to view issues in non-public repository if the visibility type is issue that you are assigned or involved in.
Can this patch be integrated?

| find the patch very useful for my company since we tend to cc issues to management.

#4 - 2012-09-24 03:23 - Toshi MARUYAMA

- Status changed from Resolved to New

#5 - 2013-01-22 12:43 - Tolga Yaman
Abdul Halim Mat Ali wrote:

Can this patch be integrated?
+1 to Abdul Halim
#6 - 2013-03-21 13:25 - Massimo Rossello

As far as | understand watchers are not notified of issues in private projects where they are non members because "if they unwatch the issue they
loose any contact with the issue, and this may be confusing".

But:
e this is exactly what happens to users that may only view issues assigned to them, and that are unassigned
e for my users it is much more confusing to be allowed to add watchers that are not notified, while they think they are!

| also know that watchers are intended just for notifications. But why? Is it meaningful to have notified something that is not visible?
(reasoning over 1.4.7)

Thanks

#7 - 2013-09-20 15:59 - Anonymous

| think that actually this behavior generates confusion.

| have a watcher in an issue in a private project.

Without the patch he doesn't receive any notification about it.
Anyone looking the issue is having a wrong information, thinking he is receiving notifications.

So:

- remove the feature to add non project watchers to an issue
E)irntegrate the patch

Thank you.

#8 - 2013-09-23 11:20 - Massimo Rossello

For your information, | have developed a plugin that solves the problem, compatible with Redmine 2.3.2:
https://github.com/maxrossello/redmine_extended watchers

There are two branches:

- in the master branch, watchers are enabled to view the issue (and the project) as long as they are watchers. There is no need to give any role to
them into the project. They can interact with the issue in readonly, having just view permissions.

- in the 'with_view_own' branch, a watcher can be added only if he has at least the 'view own or assigned' permission. The issue visibility will be
therefore much like that of an assigned user: a) the project is visible anyway, b) the issue is visible just as long as the user is assigned to the issue (in
our case as long as he is set as a watcher)

One of the two strategies should be merged into Redmine trunk, | feel. Keeping the standard Redmine behavior was not an option in our company.
People were expecting people to be notified while they were not.

#9 - 2015-04-05 18:34 - Go MAEDA

- Has duplicate Defect #12116: Watchers added as a non-member doesn't receive emails notifications added

#10 - 2015-10-27 23:38 - Anibal Pacheco

Totally agree with Stefano and Massimo, I've been debugging this issue for days, a watcher should receive notifications, if not, it's not a watcher.

#11 - 2016-06-29 19:19 - john aylward

| just ran into this as well. | may not want a user to watch any ticket in a project. | just want to assign them as a watcher for a single issue and have
them receive email notifications. As it is now, this was very confusing and | couldn't figure out what was wrong until | watched my postfix logs and saw
redmine was only sending notifications to project members.

#12 - 2016-09-05 17:12 - Anonymous
+1

Agreed that non-member watchers in private projects should receive email notifications. Currently there is no effect besides the option causing
confusion.

#13 - 2017-11-29 10:26 - Heiko Béhme

+1

#14 - 2018-01-24 09:48 - Joaquim Homrighausen

+1

#15 - 2020-02-06 21:35 - Bastian Bringenberg

+1

With this Feature enabled we'd be able to use Redmine as Ticket System and Support System, right now we are forced to send our customers emails
https://github.com/maxrossello/redmine_extended_watchers

manually which is not really nice. If anyone has a solution for that please inform me how.
#16 - 2020-12-14 02:38 - Go MAEDA

- Related to Patch #33329: Improve watchers functionality to mark the users that are watching a non visible object and to not return watchers that
cannot see the object added
